Name:          babl
Version:       0.1.56
Release:       4
Summary:       Pixel encoding and color space conversion engine in C
License:       LGPLv3+ and GPLv3+
URL:           http://www.gegl.org/babl/
Source0:       https://download.gimp.org/pub/babl/0.1/%{name}-%{version}.tar.bz2

BuildRequires: librsvg2, automake, autoconf, gcc

%description
babl is pixel encoding and color space conversion engine in C. It allows converting between
different methods of storing pixels known as pixel formats that have with different bitdepths
and other data representations, color models, color spaces and component permutations.
A vocabulary to formulate new pixel formats from existing primitives is provided as well as
the framework to add new color models, spaces and data types.

%package       devel
Summary:       Development files for %{name}
Requires:      %{name}%{?_isa} = %{version}-%{release}, pkgconfig
Provides:      %{name}-devel-docs%{?_isa} %{name}-devel-docs
Obsoletes:     %{name}-devel-docs

%description   devel
This package includes development files for %{name}.

%prep
%autosetup -p1

%build
CFLAGS="-fPIC %optflags -fno-strict-aliasing"
LDFLAGS="-pie"
%configure --disable-static

%make_build V=1

%install
make DESTDIR=$RPM_BUILD_ROOT install INSTALL='install -p'

install -d "$RPM_BUILD_ROOT/%{_docdir}/%{name}-devel/html"
cp -pr docs/graphics docs/*.html docs/babl.css "$RPM_BUILD_ROOT/%{_docdir}/%{name}-devel/html"
rm -rf "$RPM_BUILD_ROOT/%{_docdir}/%{name}-devel/html"/graphics/Makefile*
%delete_la

%check
cd tests
for problematic in %nil; do
    rm -f "$problematic"
    cat << EOF > "$problematic"
#!/bin/sh
echo Skipping test "$problematic"
EOF
    chmod +x "$problematic"
done
cd -

make check

%ldconfig_scriptlets

%files
%doc AUTHORS README NEWS
%license COPYING
%{_libdir}/*.so.*
%{_libdir}/babl-0.1/

%files devel
%{_includedir}/babl-0.1/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%doc %{_docdir}/%{name}-devel/html

%changelog
* Mon May 31 2021 baizhonggui <baizhonggui@huawei.com> - 0.1.56-4
- Add gcc in BuildRequires

* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.1.56-3
- Package init
